Page MenuHomeFreeBSD

bsdinstall: riscv platform tweaks
ClosedPublic

Authored by mhorne on Jan 15 2021, 5:50 PM.

Details

Summary

Make the installer more useful by allowing it to create a bootable
installation. RISC-V boots with UEFI only.

  • Enable ZFS root install option
  • Enable creation of bootable ESP
Test Plan

Install and boot with a ZFS root filesystem.
Install and boot with a UFS root filesystem.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mhorne created this revision.

Note that partedit_riscv.c is practically identical to partedit_arm64.c. We could merge the two, I'm just not sure what it ought to be called.

This revision is now accepted and ready to land.Jan 15 2021, 6:15 PM

Note, I only looked closely at the shell-based changes, considering partedit_riscv.c is identical to its amd64 counterpart.

Note that partedit_riscv.c is practically identical to partedit_arm64.c. We could merge the two, I'm just not sure what it ought to be called.

partedit_gpt_uefi.c maybe?

Rename and merge the partedit_*.c files.

This revision now requires review to proceed.Jan 20 2021, 7:47 PM

Note that partedit_riscv.c is practically identical to partedit_arm64.c. We could merge the two, I'm just not sure what it ought to be called.

partedit_gpt_uefi.c maybe?

Thanks. I dropped the gpt only because there is nothing that precludes MBR from being allowed as well, other than we've chosen not to.

Fix arm64 $MACHINE check.

Now tested on arm64 as well. If all seems good, I will commit and MFC to stable/13 before the branch.

This revision is now accepted and ready to land.Jan 27 2021, 4:35 PM
This revision was automatically updated to reflect the committed changes.